<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.TJxzXlMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.bf.entity.TJxzXl">
            <result property="jxzId" column="jxz_id" jdbcType="VARCHAR"/>
            <result property="xlid" column="xlid" jdbcType="VARCHAR"/>
            <result property="cityCode" column="city_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        jxz_id,xlid,city_code
    </sql>
    <select id="selectJxzXlList" resultType="com.hdkj.lt.bf.entity.TJxzXl">
        select a.* from t_jxz_xl a join t_jxz_xl b on a.jxz_id=b.jxz_id where b.xlid=#{feederId};
    </select>
</mapper>
